<?php

namespace AppBundle\Repository;

/**
 * PrezziRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PrezziRepository extends \Doctrine\ORM\EntityRepository
{
    
    
     public function findPrice($str,$cond){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e
                FROM AppBundle:Prezzi e
                WHERE e.articolo = :str
                AND e.listino = :cond'
                   
            )
            ->setParameter('str', $str)
            ->setParameter('cond', $cond)
            ->getResult();
        
    }
    
    
    public function findPriceVendita($str,$cond){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e
                FROM AppBundle:Prezzi e
                WHERE e.articolo = :str
                AND e.listino = :cond'
                   
            )
            ->setParameter('str', $str)
            ->setParameter('cond', $cond)
            ->getResult();
        
    }
}
